Next: Command explanations, Previous: Running Parted, Up: Using Parted [Index]

### 2.3 Command Line Options

When invoked from the command line, Parted supports the following syntax:

    # parted [option] device [command [argument]]

Available options and commands follow. For detailed explanations of the use of Parted commands, see Command explanations. Options begin with a hyphen, commands do not:

Options:

‘`-h`’
‘`--help`’

  display a help message

‘`-s`’
‘`--script`’

  never prompt the user

‘`-a alignment-type`’
‘`--align alignment-type`’

  Set alignment for newly created partitions, valid alignment types are: none, cylinder, minimal and optimal.

‘`-v`’
‘`--version`’

  display the version